import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { E070EmpService } from "../../core/entities/e-070-emp/e-070-emp.service";
export declare class CompanyLookupService {
    private translate;
    private companyService;
    companyLookupDisplayFields: string[];
    companyAdvancedDisplayFields: string[];
    companyLookupSeparator: string;
    constructor(translate: TranslateService, companyService: E070EmpService);
    getCompanySearchFields(): FormField[];
    onCompanySearchRequest(event: any): Observable<any>;
    onCompanyLookupRequest(value: string): Observable<any>;
    private mapCompanyLookup;
}
